MEINPROC5(1)

NAME
meinproc5 - KDE-Umsetzung für XML

ÜBERSICHT

meinproc5 [-h, --help] [-v, --version] [--cache datei] [--check] [--srcdir ordner] [--param schlüssel=wert] [[[-o] | [--output]] datei] [--stdout] [--stylesheet xsl] docbook-datei

BESCHREIBUNG

meinproc5 wandelt DocBook-Dateien in HTML um.

ALLGEMEINE OPTIONEN

-h--help
    Hilfe zu verfügbaren Optionen anzeigen.

-v--version
    Versionsinformation anzeigen

ANWENDUNGSOPTIONEN

--cache datei
    Zwischenspeicher-Datei für das Dokument erstellen

--check
    Formale Korrektheit des Dokuments überprüfen

        Die Ausgaben können auf den ersten Blick abschreckend wirken, da ein einziger kleiner Fehler eine ganze Welle an Fehlermeldungen auslösen kann. Der Trick ist ganz einfach: Sehen Sie sich zunächst den ersten Fehler an, beheben Sie ihn, speichern die Datei und führen anschließend meinproc5 erneut aus.

-o, --output datei
    Gesamtes Dokument in datei ausgeben.

--stdout
    Gesamtes Dokument auf stdout ausgeben.

--stylesheet xsl
    Zu benutzende Stilvorlage

--srcdir ordner
    Setzt den Basisordner für die Suche nach kdoctools

--param schlüssel=wert
    Setzt Parameter, die an die Stilvorlage übergeben werden.

BENUTZUNG

Der meist genutzte Aufruf von meinproc5 sieht ganz einfach so aus:

    meinproc5 Docbook-Datei

, wobei es sich bei der Docbook-Datei zumeist um die Datei index.docbook handelt. Mit diesem Aufruf werden HTML-Dateien erzeugt. Beachten Sie bitte, dass Sie die so erzeugten HTML-Dateien nur mit KDE-basierten Browsern wie z. B. Konqueror betrachten können.

Wenn die erzeugten HTML-Dateien auch mit anderen Browsern betrachtet werden sollen (z. B. weil die Dateien im Internet veröffentlicht werden sollen), so verwenden Sie den Aufruf

    meinproc5 --stylesheet stylesheet-Name Docbook-Datei

, wobei es sich bei stylesheet-Name um den vollständigen Pfad zu einem der XSL-Stilvorlagen im Ordner <kdoctools_installation_prefix>/share/kf5/kdoctools/customization handelt. Um brauchbare Ausgaben für die Internet-Veröffentlichung zu erhalten, können Sie beispielsweise die Stilvorlage kde-web.xsl oder kde-chunk-online.xsl verwenden. In der README-Datei im gleichen Ordner finden Sie weitere Details.

SIEHE AUCH

kf5options(7), qt5options(7)

FEHLER

Bitte berichten Sie Fehler im Fehlerverfolgungssystem von KDE[1].

FUßNOTEN

1.  Fehlerverfolgungssystem von KDE
    https://bugs.kde.org